<template>
  <v-form>
    <v-container>
      <v-row cols="12" sm="6" md="4">
        <v-text-field
          label="¿Buscas algo? "
          placeholder="Tu aventura empieza aqui"
          v-model="searchedProductName"
          @input="goToProductListFiltredByName"
          filled
          rounded
          dense
        ></v-text-field>
      </v-row>
     
    </v-container>
  </v-form>

  
</template>

<script>

export default {
  name: 'SearchBar',
  components: {
   
  },
  props: {
    searchResult: {
      propType: Array,
      required: true
    }
  },
  data() {
    return {
      searchedProductName: null
    }
  },
  methods: {
    searchProduct(searchedProduct) {
      this.$emit('search-product-while-tapping', searchedProduct)
    },
    goToProductListFiltredByName() {
      let searchedProductName = this.searchedProductName
      this.$emit('go-to-product-list', searchedProductName)
    }
  }
}
</script>

<style scoped>

</style>
